Geopandas Installation problems

Dear all,

i’m trying to run this notebook

unfortunately I’m totally stuck with dependencies installation, expecially when it comes about geopandas,
I always receive this error after the pip install geopandas command

 pip install geopandas
Collecting geopandas
  Using cached geopandas-0.11.1-py3-none-any.whl (1.0 MB)
Requirement already satisfied: packaging in c:\users\utente\appdata\local\programs\python\python39\lib\site-packages (from geopandas) (21.3)
Requirement already satisfied: shapely<2,>=1.7 in c:\users\utente\appdata\local\programs\python\python39\lib\site-packages (from geopandas) (1.8.4)
Collecting fiona>=1.8
  Using cached Fiona-1.8.21.tar.gz (1.0 MB)
  Preparing metadata (setup.py) ... error
  error: subprocess-exited-with-error

  × python setup.py egg_info did not run successfully.
  │ exit code: 1
  ╰─> [1 lines of output]
      A GDAL API version must be specified. Provide a path to gdal-config using a GDAL_CONFIG environment variable or use a GDAL_VERSION environment variable.
      [end of output]

  note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

I’m on windows 10 using Python 3.9.9

Best

Hi @vivierem
sadly geopandas is known to be a bit trickier to install on windows.
The issue lies in it’s dependencies (fiona, pyproj, shapely).
The official documentation suggests using conda, but there is also a blog describing how to install it directly from wheels.